"""
URL configuration for server project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib.auth.views import LogoutView
# from django.contrib import admin
from django.urls import path

from django.contrib import admin
from django.urls import path
from django.urls import include
from django.shortcuts import render
from core import views

def home(request):
    return render(request, 'index.html')


urlpatterns = [
    path('', home, name='home'),
    path('admin/', admin.site.urls),
    path('logout/', views.logout_view, name='logout'),
    path('login/', views.login_view, name='login'),
    path('register/', views.register_view, name='register'),
    path('profile/', views.user_dashboard, name='user_dashboard'),
    path('ai_engineer_dashboard/', views.ai_engineer_dashboard, name='ai_engineer_dashboard'),
    path('finance_dashboard/', views.finance_dashboard, name='finance_dashboard'),
]